Skip to main content
GET
/
v1
/
contracts
List Contracts
curl --request GET \
  --url https://api.monk.com/v1/contracts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "planId": "<string>",
      "name": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "isActive": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "total": 123
}
Use externalCustomerId to look up contracts by your external customer identifier. Scope: contracts:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customerId
string

Filter by customer ID

externalCustomerId
string

Filter by external customer ID (resolves via customer metadata)

planId
string

Filter by plan ID

isActive
boolean

Filter by active status

limit
integer
default:10
Required range: x <= 100
offset
integer
default:0

Response

Paginated contract list

data
object[]
hasMore
boolean
total
integer